Packager: Denis Smirnov <mithraen@altlinux.ru>

# cronyx must start before zaptel
# asterisk must start after zaptel

Name: cronyx
Version: 6.1.10
Release: alt1
Summary: Utilites for Cronyx hardware
License: BSD-like
Group: System/Kernel and hardware
Url: http://cronyx.ru/software/

BuildRequires: kernel-headers-modules-std-def kernel-headers-dahdi-std-def

Conflicts: zaptel
Requires: dahdi

Source: %name.tar
Requires: asterisk-base
BuildPreReq: libnewt-devel

%package -n kernel-source-%name
Summary: Linux %name module sources
Group: Development/Kernel
BuildArch: noarch

%description
%summary

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%description -n kernel-source-%name -l ru_RU.KOI8-R
    %name    

%prep
%setup -c

t="$RPM_SOURCE_DIR/kernel-source-%name-%version"
rm -rf "$t"
mkdir -p $t/
cp -a ./ "$t/"
mv "$t" .

%build
dahdi_headers_dir=%_usrsrc/`ls -1 %_usrsrc | grep std-def | head -n1`/drivers/dahdi
mkdir -p dahdi-headers/include/dahdi/ dahdi-headers/drivers/dahdi
cp -a $dahdi_headers_dir/* dahdi-headers/include/dahdi/
cp -a $dahdi_headers_dir/Module.symvers dahdi-headers/drivers/dahdi/

./configure \
	--with-dahdi=`realpath dahdi-headers` \
	--with-ksrc=%_usrsrc/`ls -1 %_usrsrc | grep std-def | head -n1`

%install
# Make kernel-source tarball
mkdir -p %buildroot%_usrsrc/kernel/sources
du -hsc kernel-source-%name-%version
tar cjf \
%buildroot%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
	kernel-source-%name-%version

mkdir -p %buildroot/sbin/ %buildroot/etc %buildroot%_man8dir
make sconfig
install sconfig %buildroot/sbin/
install sconfig.en %buildroot%_man8dir/sconfig.8
#install sconfig.ru %buildroot%_man8dir/sconfig.8
install cronyx.conf.in %buildroot%_sysconfdir/cronyx.conf
install -D -m755 cronyx.sh %buildroot%_initdir/cronyx

%preun
%preun_service cronyx
%post
%post_service cronyx

%files
# cronyx
/sbin/sconfig
%_man8dir/sconfig.8*
%config(noreplace) %_sysconfdir/cronyx.conf
%_initdir/cronyx

%files -n kernel-source-%name
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%changelog
* Sun Oct 18 2009 Denis Smirnov <mithraen@altlinux.ru> 6.1.10-alt1
- 6.1.10

* Fri Sep 25 2009 Denis Smirnov <mithraen@altlinux.ru> 6.1.9-alt1
- 6.1.9

* Tue Sep 15 2009 Denis Smirnov <mithraen@altlinux.ru> 6.1.8-alt1
- 6.1.8
- add initscript

* Thu Sep 03 2009 Denis Smirnov <mithraen@altlinux.ru> 6.1.7-alt1
- update to 6.1.7

* Tue Dec 16 2008 Denis Smirnov <mithraen@altlinux.ru> 6.1-alt1
- update to 6.1
- build kernel-source-%name as noarch

* Sat Mar 22 2008 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt2.R1
- upstream update (6.0-R1)

* Sat Aug 04 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt1.rc26
- upstream update (6.0-rc24->6.0-rc26)

* Sun Apr 15 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt1.rc24
- upstream update

* Sat Feb 24 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt1.rc20
- add Conflicts: zaptel < 20070222:1.3-alt0.13

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 6.0-alt0.rc20
- update upstream to 6.0-pre20 (multiple bugfixes, zaptel 1.4 compatibility)

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 20070222:1.3-alt0.12.20070222
- moved from zaptel to separate package, because it is separate project, and
  building it with zaptel was a very bad ideas

